import { Widget } from '@lumino/widgets';
import React from 'react';
import ReactDOM from 'react-dom';
import HDF5_FILE_TYPE from './fileType';
import H5webApp from './H5webApp';
class HDF5FilePathRenderer extends Widget {
    constructor(options) {
        super();
        this.mimeType = options.mimeType;
    }
    renderModel(model) {
        const path = model.data[this.mimeType];
        if (typeof path !== 'string') {
            throw new TypeError('Expected string');
        }
        return new Promise((resolve) => {
            ReactDOM.render(React.createElement("div", { className: "h5web-in-cell" },
                React.createElement(H5webApp, { filePath: path })), this.node, () => resolve());
        });
    }
}
const extension = {
    id: 'jupyter-h5web:mime-plugin',
    rendererFactory: {
        safe: true,
        mimeTypes: HDF5_FILE_TYPE.mimeTypes,
        createRenderer: (options) => new HDF5FilePathRenderer(options),
    },
    rank: 0,
    dataType: 'string',
};
export default extension;
