import React from 'react';
import { ABCWidgetFactory, DocumentWidget, } from '@jupyterlab/docregistry';
import { ReactWidget } from '@jupyterlab/apputils';
import { h5webIcon } from './icons';
import H5webApp from './H5webApp';
export class H5webWidget extends ReactWidget {
    constructor(filePath) {
        super();
        this.addClass('jp-ReactWidget');
        this.filePath = filePath;
        this.title.icon = h5webIcon;
    }
    render() {
        return React.createElement(H5webApp, { filePath: this.filePath });
    }
}
class H5webWidgetFactory extends ABCWidgetFactory {
    createNewWidget(context) {
        const { path } = context;
        const content = new H5webWidget(path);
        return new DocumentWidget({ context, content });
    }
}
export default H5webWidgetFactory;
